Summary: Secure Sockets Layer communications libs & utils
%define version 0.9.3a
%define major 0
%define minor 9.3
Name: openssl
Version: %{version}
Release: 3
Source: http://www.openssl.org/source/openssl-%{version}.tar.gz
Patch0: openssl-rh6.patch
Patch1: rehash.patch
Copyright: Dual License (OpenSSL and SSLeay) bsdstyle Open Source
Group: Security/Encryption
Provides: SSL
Packager: Greg LaPolla <glapolla@hotmail.com>
URL: http://www.openssl.org
Icon: openssl_button.gif
BuildRoot: /var/tmp/openssl-%{version}-root
Requires: perl

%description
A C library that provides various crytographic algorithms and protocols,
including DES, RC4, RSA, and SSL. Includes shared libraries and utils.

%package devel
Summary: Secure Sockets Layer communications static libs & headers.
Group: Development/Libraires
Requires: openssl
%description devel
A C library that provides various crytographic algorithms and protocols,
including DES, RC4, RSA, and SSL. Includes static libraries and headers.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%setup -T -D -n openssl-%{version}
perl util/perlpath.pl /usr/bin


%build
export LD_LIBRARY_PATH=`pwd`
./config --prefix=/usr --openssldir=/etc/ssl
make linux-shared
make rehash
make test
	
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/ssl
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/include/openssl
mkdir -p $RPM_BUILD_ROOT/usr/lib
make INSTALL_PREFIX=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/etc/ssl/misc/* $RPM_BUILD_ROOT/usr/bin
mv $RPM_BUILD_ROOT/etc/ssl/openssl.cnf $RPM_BUILD_ROOT/etc
rm -rf $RPM_BUILD_ROOT/etc/ssl/misc
rm -rf $RPM_BUILD_ROOT/etc/ssl/lib

# mv the libssl shared lib since make install does not 
install -m755 libssl.so.%{major}.%{minor} $RPM_BUILD_ROOT/usr/lib
ln -sf libssl.so.%{major}.%{minor} $RPM_BUILD_ROOT/usr/lib/libssl.so.%{major}
ln -sf libssl.so.%{major}.%{minor} $RPM_BUILD_ROOT/usr/lib/libssl.so

# mv the libcrypto shared lib since make install does not 
install -m755 libcrypto.so.%{major}.%{minor} $RPM_BUILD_ROOT/usr/lib
ln -sf libcrypto.so.%{major}.%{minor} $RPM_BUILD_ROOT/usr/lib/libcrypto.so.%{major}
ln -sf libcrypto.so.%{major}.%{minor} $RPM_BUILD_ROOT/usr/lib/libcrypto.so

install -m644 libRSAglue.a $RPM_BUILD_ROOT/usr/lib
install -m644 rsaref/rsaref.h $RPM_BUILD_ROOT/usr/include/openssl

strip $RPM_BUILD_ROOT/usr/bin/openssl

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc CHANGES
%doc CHANGES.SSLeay
%doc INSTALL
%doc LICENSE
%doc README
%doc NEWS
%doc doc/*
/usr/bin/CA.pl
/usr/bin/CA.sh
/usr/bin/c_hash
/usr/bin/c_info
/usr/bin/c_issuer
/usr/bin/c_name
/usr/bin/der_chop
/usr/bin/c_rehash
/usr/bin/openssl
/usr/lib/libcrypto.so.%{major}.%{minor}
/usr/lib/libssl.so.%{major}.%{minor}
/usr/lib/libcrypto.so.%{major}
/usr/lib/libssl.so.%{major}
/etc/openssl.cnf
/etc/ssl
		
%files devel
/usr/lib/libcrypto.a
/usr/lib/libssl.a
/usr/include/openssl
/usr/lib/libcrypto.so
/usr/lib/libssl.so
/usr/lib/libRSAglue.a
 


%post
ldconfig

%postun
ldconfig

%changelog
* Thu Jun 3 1999 Greg LaPolla <glapolla@hotmail.com>
- Added shared lib copy stuff 
* Tue Jun 1 1999 Greg LaPolla <glapolla@hotmail.com>
- Created SPEC and patches specific to rh6  
